Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/25/2023 in all areas

  1. Doing the offset is easy and putting in correct layer is part of it, I am just hesitant to do the code which by the way is out there, but I would rather fix up the messy plines 1st. s (defun c:wow ( / ) (setq pt1 (getpoint "\nPick 1st point ")) (setq pt2 (getpoint "\nPick 2nd point ")) (setq ent1 (ssname (ssget pt1) 0)) (command "break" pt1 pt2) (setq ent2 (entlast)) (command "LINE" pt1 pt2 "") (command "pedit" ent1 "J" (entlast) ent2 "" "X") (princ) ) (c:wow) Please be patient. Worked out how to remove extras. Have a select align so now start to put it all together as one program. Just a side note the dwg has some weird things in it some of the linework is duplicated or partially duplicated is this correct ? Look at curved end plines right side. This is at top.
    1 point
  2. @Guspar. see it (defun C:move-to-elevation () (setq ss (ssget)) (setq elevation (getreal "the elevation")) (setq osmode (getvar 'osmode)) (setvar 'osmode 0) (command "move" ss "" '(0 0 0) (list 0 0 elevation)) ; just set the dstination point (setvar 'osmode osmode) (princ) )
    1 point
  3. Maybe starting with quick dirty code lines : (defun c:foo() (ssget (list (cons 0 "*TEXT"))) (vlax-for obj (vla-get-ActiveSelectionSet (vla-get-ActiveDocument (vlax-get-Acad-Object))) (vla-put-textstring obj (rtos (* (distof (vla-get-textstring obj)) 1000.0) 2 3) ) ) (princ) ) (vl-load-com)
    1 point
×
×
  • Create New...